Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ExplicitTypeInstantiationAstVisitor

- groovy.org.codenarc.rule.groovyism.ExplicitTypeInstantiationAstVisitor

- AstVisitor that checks for no-arg constructor calls for the type specified in the constructor. Used by the ExplicitXxxInstantiation rules.

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ExplicitTypeInstantiationAstVisitor (String typeName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `createErrorMessage()`
    `` | `void` | `visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)`

- - ### Constructor Detail

    - #### protected ExplicitTypeInstantiationAstVisitor(String typeName)

  - ### Method Detail

    - #### protected String createErrorMessage()

    - #### void visitConstructorCallExpression(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)